/**
* DevExtreme (ui/nav_bar.d.ts)
* Version: 19.1.11 (build 20218-0317)
* Build date: Wed Aug 05 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxNavBar(): JQuery;
    dxNavBar(options: "instance"): DevExpress.ui.dxNavBar;
    dxNavBar(options: string): any;
    dxNavBar(options: string, ...params: any[]): any;
    dxNavBar(options: DevExpress.ui.dxNavBarOptions): JQuery;
}
}
export default DevExpress.ui.dxNavBar;
export type Options = DevExpress.ui.dxNavBarOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxNavBarOptions;