/**
* DevExtreme (ui/slide_out.d.ts)
* Version: 19.1.11 (build 20218-0317)
* Build date: Wed Aug 05 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxSlideOut(): JQuery;
    dxSlideOut(options: "instance"): DevExpress.ui.dxSlideOut;
    dxSlideOut(options: string): any;
    dxSlideOut(options: string, ...params: any[]): any;
    dxSlideOut(options: DevExpress.ui.dxSlideOutOptions): JQuery;
}
}
export default DevExpress.ui.dxSlideOut;
export type Options = DevExpress.ui.dxSlideOutOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxSlideOutOptions;