/**
* DevExtreme (ui/tree_list.d.ts)
* Version: 19.1.11 (build 20218-0317)
* Build date: Wed Aug 05 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxTreeList(): JQuery;
    dxTreeList(options: "instance"): DevExpress.ui.dxTreeList;
    dxTreeList(options: string): any;
    dxTreeList(options: string, ...params: any[]): any;
    dxTreeList(options: DevExpress.ui.dxTreeListOptions): JQuery;
}
}
export default DevExpress.ui.dxTreeList;
export type Options = DevExpress.ui.dxTreeListOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxTreeListOptions;