/**
* DevExtreme (viz/tree_map.d.ts)
* Version: 19.1.11 (build 20218-0317)
* Build date: Wed Aug 05 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxTreeMap(): JQuery;
    dxTreeMap(options: "instance"): DevExpress.viz.dxTreeMap;
    dxTreeMap(options: string): any;
    dxTreeMap(options: string, ...params: any[]): any;
    dxTreeMap(options: DevExpress.viz.dxTreeMapOptions): JQuery;
}
}
export default DevExpress.viz.dxTreeMap;
export type Options = DevExpress.viz.dxTreeMapOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.viz.dxTreeMapOptions;